getChannels

Find the channel ID and other information about the channels in your content workspace.

GET https://{subdomain}.my.salesforce.com/services/data/v63.0/connect/cms/delivery/channels/

Request 

HTTP Request Example
1GET /services/data/v63.0/connect/cms/delivery/channels/ HTTP/1.1
2Host: {subdomain}.my.salesforce.com
3Authorization: Bearer YOUR_BEARER_TOKEN

URI Parameters 

subdomain (string)

Required. The unique API subdomain for your Salesforce org.

Headers 

Authorization (string)

Required. A unique, time-limited token that you can use to issue requests to Connect API. Replace YOUR_ACCESS_TOKEN with your authentication token.

1Bearer YOUR_ACCESS_TOKEN

Responses 

200 OK

This response indicates that the API accepted your request to retrieve information about channels in your content workspace.

1{
2  "channels": [
3    {
4      "cacheControlMaxAge": 3600,
5      "channelId": "0ap1Q0000000X24YAA",
6      "channelName": "Marketing Messages",
7      "channelType": "UserPermission",
8      "domain": "CMS",
9      "domainName": "YOUR_DOMAIN.cdn.salesforce-experience.com",
10      "isChannelSearchable": false,
11      "isDomainLocked": false,
12      "mediaCacheControlMaxAge": 2592000
13    },
14    {
15      "cacheControlMaxAge": 3600,
16      "channelId": "0ap1Q0000000X23YAA",
17      "channelName": "Marketing Landing Pages",
18      "channelType": "Community",
19      "domain": null,
20      "domainName": null,
21      "isChannelSearchable": true,
22      "isDomainLocked": true,
23      "mediaCacheControlMaxAge": 2592000
24    }
25  ],
26  "currentPageUrl": "/services/data/v63.0/connect/cms/delivery/channels?page=0&pageSize=25",
27  "nextPageUrl": null,
28  "previousPageUrl": null,
29  "totalChannels": 2
30}
401 Unauthorized

This response indicates that the API wasn’t able to authorize your request. When you receive a 401 response, verify that your authorization token is still valid.

1[
2  {
3    "message":"Session expired or invalid",
4    "errorCode":"INVALID_SESSION_ID"
5  }
6]